> For the complete documentation index, see [llms.txt](https://docs.getlimy.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getlimy.ai/rest-api/api-reference/authentication.md).

# Authentication

## Exchange a static API key for a short-lived session JWT.

> Send your static API key as a Bearer token. Returns a short-lived session JWT to use on all subsequent API requests.

```json
{"openapi":"3.0.0","info":{"title":"Limy API","version":"1.0"},"tags":[{"name":"authentication"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/v1/auth/accesskey/exchange":{"post":{"tags":["authentication"],"summary":"Exchange a static API key for a short-lived session JWT.","description":"Send your static API key as a Bearer token. Returns a short-lived session JWT to use on all subsequent API requests.","responses":{"200":{"description":"Session JWT issued.","content":{"application/json":{"schema":{"type":"object","required":["keyId","sessionJwt"],"properties":{"keyId":{"type":"string","description":"Identifier of the static key used."},"sessionJwt":{"type":"string","description":"Bearer token for subsequent API calls."}}}}}},"401":{"description":"Static key is missing, invalid, or revoked."}}}}}}
```
